package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/go-nunu/nunu-layout-advanced/internal/service"
)

type GameShieldPublicIpHandler struct {
	*Handler
	gameShieldPublicIpService service.GameShieldPublicIpService
}

func NewGameShieldPublicIpHandler(
	handler *Handler,
	gameShieldPublicIpService service.GameShieldPublicIpService,
) *GameShieldPublicIpHandler {
	return &GameShieldPublicIpHandler{
		Handler:                   handler,
		gameShieldPublicIpService: gameShieldPublicIpService,
	}
}

func (h *GameShieldPublicIpHandler) GetGameShieldPublicIp(ctx *gin.Context) {

}
